GCNODECCT(3)

NAME
gcNodeCct - does a garbage collection

SYNOPSYS
#include "logmmm.h"
void gcNodeCct(pC)
pCircuit pC;

PARAMETER

pC  circuit on which the nodes are saved

DESCRIPTION
gcNodeCct() does a garbarge collection by removing the nodes that aren't pointed in pC.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pCircuit pC;
chain_list *expr;
initializeBdd(SMALL_BDD);
pC = initializeCct("circuit 1",10,10);
addInputCct(pC,"a");
addInputCct(pC,"b");
	/* let's suppose that expr = (OR a b) */
addOuputCct(pC,"s1",one);
addOuputCct(pC,"s2",ablToBddCct(pC,expr));
printf("number of nodes of the BDDs system = %d",numberNodeAllBdd());
gcNodeCct(pC,1)
printf("After GC : number of nodes of the BDDs system = %d",numberNodeAllBdd());
/* it will display
number of nodes of the BDDs system = 3
After GC : number of nodes of the BDDs system = 2
*/
destroyCct(pC);
destroyBdd(1);

SEE ALSO
log(1), bdd(1), gcNodeCct(3), numberAllNodeBdd(3).